> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/convertto-rdmentryxml.md).

# ConvertTo-RDMEntryXml

ConvertTo-RDMEntryXml serializa una entrada activa de Remote Desktop Manager o una versión histórica a XML, con el mismo serializador que la característica Comparar del cliente Windows.

### Sinopsis

Serializar una entrada activa o una versión histórica en XML

### Sintaxis

#### InputObject

```
ConvertTo-RDMEntryXml -InputObject <PSConnection> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

#### History

```
ConvertTo-RDMEntryXml -History <PSConnectionHistory> [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Descripción

Serializar una entrada activa (de Get-RDMEntry) o una versión histórica (de Get-RDMEntryHistory) a XML, con el mismo serializador que la característica Comparar del cliente Windows. Comparar el XML de dos versiones, o de la entrada activa con una versión, con Compare-Object reproduce el botón Comparar del historial de entradas de Windows. Los registros de entradas eliminadas de Get-RDMDeletedEntry no se pueden convertir y se rechazan.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $xml = Get-RDMEntryHistory -InputObject $id | Select-Object -First 2 | ConvertTo-RDMEntryXml
        Compare-Object ($xml[0] -split "`n") ($xml[1] -split "`n")
```

Comparar las dos versiones más recientes de una entrada.

#### Ejemplo 2

```powershell
PS C:\> $currentXml = Get-RDMEntry $id | ConvertTo-RDMEntryXml
        $currentUserName = ([xml]$currentXml).Connection.Credentials.UserName
        foreach ($version in Get-RDMEntryHistory -InputObject $id) {
            $versionUserName = ([xml]($version | ConvertTo-RDMEntryXml)).Connection.Credentials.UserName
            if ($versionUserName -eq $currentUserName) {
                continue
            }
            Compare-Object ($currentXml -split "`n") (($version | ConvertTo-RDMEntryXml) -split "`n")
            $version | Restore-RDMEntryHistory
            break
        }
```

Comparar la entrada activa con la última versión anterior al cambio de su nombre de usuario y, a continuación, volver a ella.

### Parámetros

#### -ForcePromptAnswer

Modificador que debe usarse con precaución. Responderá automáticamente a los mensajes que planteen preguntas de sí/no, sí/no/cancelar u ok/cancelar. En caso de varios mensajes, se pueden pasar varios valores a este parámetro. Estos son los valores aceptados:

* Yes: acepta el mensaje. Cubre los valores OK y Automatic.
* No: rechaza el mensaje sí/no/cancelar. "Cancel" es la opción alternativa si no existe la opción "No".
* Cancel: cancela el mensaje sí/no/cancelar. "No" es la opción alternativa si no existe la opción "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -History

Versión obtenida de Get-RDMEntryHistory

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: History
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Entrada activa obtenida de Get-RDMEntry

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection

Una entrada activa obtenida de Get-RDMEntry

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnectionHistory

Una versión obtenida de Get-RDMEntryHistory

### Salidas

#### System.String

La representación XML de la entrada o de la versión

### Notas

Para más información, escriba "Get-Help ConvertTo-RDMEntryXml -detailed". Para obtener información técnica, escriba "Get-Help ConvertTo-RDMEntryXml -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/convertto-rdmentryxml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
